Skip to main content
POST
/
v1
/
public
/
workspaces
/
{workspace_id}
/
agents
Create an agent
curl --request POST \
  --url https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent": {
    "name": "My Agent",
    "llm_model": "gpt-4.1-mini",
    "model_type": "hosted",
    "description": "A helpful assistant",
    "instruction_prompt": "You are a helpful assistant",
    "temperature": 0.7,
    "max_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
'
import requests

url = "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/agents"

payload = { "agent": {
"name": "My Agent",
"llm_model": "gpt-4.1-mini",
"model_type": "hosted",
"description": "A helpful assistant",
"instruction_prompt": "You are a helpful assistant",
"temperature": 0.7,
"max_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent: {
name: 'My Agent',
llm_model: 'gpt-4.1-mini',
model_type: 'hosted',
description: 'A helpful assistant',
instruction_prompt: 'You are a helpful assistant',
temperature: 0.7,
max_token: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};

fetch('https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Successfully created an agent.",
  "agent": {}
}
{
"error": "Invalid access."
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key sent as Authorization: Bearer <api_key>.

Path Parameters

workspace_id
string<uuid>
required

Workspace UUID

Body

application/json
agent
object
required

Response

agent created

message
string
required
Example:

"Successfully created an agent."

agent
object
required